CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities (CVSS score between 4 and 4.99)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2022-30295 2022-05-06 2022-05-16
4.0
None Remote High Not required Partial Partial None
uClibc-ng through 1.0.40 and uClibc through 0.9.33.2 use predictable DNS transaction IDs that may lead to DNS cache poisoning. This is related to a reset of a value to 0x2.
2 CVE-2022-30241 79 XSS 2022-05-04 2022-05-13
4.3
None Remote Medium Not required None Partial None
The jquery.json-viewer library through 1.4.0 for Node.js does not properly escape characters such as < in a JSON object, as demonstrated by a SCRIPT element.
3 CVE-2022-29969 79 XSS 2022-05-02 2022-05-09
4.3
None Remote Medium Not required None Partial None
The RSS extension before 2022-04-29 for MediaWiki allows XSS via an rss element (if the feed is in $wgRSSUrlWhitelist and $wgRSSAllowLinkTag is true).
4 CVE-2022-29968 909 2022-05-02 2022-05-11
4.6
None Local Low Not required Partial Partial Partial
An issue was discovered in the Linux kernel through 5.17.5. io_rw_init_file in fs/io_uring.c lacks initialization of kiocb->private.
5 CVE-2022-29950 2022-05-04 2022-05-12
4.0
None Remote Low ??? None Partial None
Experian Hunter 1.16 allows remote authenticated users to modify assumed-immutable elements via the (1) rule name parameter to the Rules page or the (2) subrule name or (3) categories name parameter to the Subrules page.
6 CVE-2022-29947 79 XSS 2022-04-29 2022-05-11
4.3
None Remote Medium Not required None Partial None
Woodpecker before 0.15.1 allows XSS via build logs because web/src/components/repo/build/BuildLog.vue lacks escaping.
7 CVE-2022-29942 918 2022-05-04 2022-05-13
4.0
None Remote Low ??? Partial None None
Talend Administration Center has a vulnerability that allows an authenticated user to use the Service Registry 'Add' functionality to perform SSRF HTTP GET requests on URLs in the internal network. The issue is fixed for versions 8.0.x in TPS-5189, versions 7.3.x in TPS-5175, and versions 7.2.x in TPS-5201. Earlier versions of Talend Administration Center may also be impacted; users are encouraged to update to a supported version.
8 CVE-2022-29907 79 XSS 2022-04-29 2022-05-07
4.3
None Remote Medium Not required None Partial None
The Nimbus skin for MediaWiki through 1.37.2 (before 6f9c8fb868345701d9544a54d9752515aace39df) allows XSS in Advertise link messages.
9 CVE-2022-29905 352 CSRF 2022-04-29 2022-05-10
4.3
None Remote Medium Not required None Partial None
The FanBoxes extension for MediaWiki through 1.37.2 (before 027ffb0b9d6fe0d823810cf03f5b562a212162d4) allows Special:UserBoxes CSRF.
10 CVE-2022-29903 352 CSRF 2022-04-29 2022-05-10
4.3
None Remote Medium Not required None Partial None
The Private Domains extension for MediaWiki through 1.37.2 (before 1ad65d4c1c199b375ea80988d99ab51ae068f766) allows CSRF for editing pages that store the extension's configuration. The attacker must trigger a POST request to Special:PrivateDomains.
11 CVE-2022-29869 668 +Info 2022-04-28 2022-05-16
4.3
None Remote Medium Not required Partial None None
cifs-utils through 6.14, with verbose logging, can cause an information leak when a file contains = (equal sign) characters but is not a valid credentials file.
12 CVE-2022-29824 190 Overflow 2022-05-03 2022-05-14
4.3
None Remote Medium Not required None None Partial
In libxml2 before 2.9.14, several buffer handling functions in buf.c (xmlBuf*) and tree.c (xmlBuffer*) don't check for integer overflows. This can result in out-of-bounds memory writes. Exploitation requires a victim to open a crafted, multi-gigabyte XML file. Other software using libxml2's buffer functions, for example libxslt through 1.1.35, is affected as well.
13 CVE-2022-29821 94 Exec Code 2022-04-28 2022-05-05
4.4
None Local Medium Not required Partial Partial Partial
In JetBrains Rider before 2022.1 local code execution via links in ReSharper Quick Documentation was possible
14 CVE-2022-29819 94 Exec Code 2022-04-28 2022-05-05
4.4
None Local Medium Not required Partial Partial Partial
In JetBrains IntelliJ IDEA before 2022.1 local code execution via links in Quick Documentation was possible
15 CVE-2022-29817 79 XSS 2022-04-28 2022-05-05
4.3
None Remote Medium Not required None Partial None
In JetBrains IntelliJ IDEA before 2022.1 reflected XSS via error messages in internal web server was possible
16 CVE-2022-29815 94 Exec Code 2022-04-28 2022-05-05
4.6
None Local Low Not required Partial Partial Partial
In JetBrains IntelliJ IDEA before 2022.1 local code execution via workspace settings was possible
17 CVE-2022-29814 94 Exec Code 2022-04-28 2022-05-05
4.4
None Local Medium Not required Partial Partial Partial
In JetBrains IntelliJ IDEA before 2022.1 local code execution via HTML descriptions in custom JSON schemas was possible
18 CVE-2022-29813 94 Exec Code 2022-04-28 2022-05-05
4.6
None Local Low Not required Partial Partial Partial
In JetBrains IntelliJ IDEA before 2022.1 local code execution via custom Pandoc path was possible
19 CVE-2022-29589 79 XSS 2022-04-22 2022-04-29
4.3
None Remote Medium Not required None Partial None
Crypt Server before 3.3.0 allows XSS in the index view. This is related to serial, computername, and username.
20 CVE-2022-29583 426 2022-04-22 2022-05-03
4.6
None Local Low Not required Partial Partial Partial
service_windows.go in the kardianos service package for Go omits quoting that is sometimes needed for execution of a Windows service executable from the intended directory.
21 CVE-2022-29577 79 XSS 2022-04-21 2022-05-03
4.3
None Remote Medium Not required None Partial None
OWASP AntiSamy before 1.6.7 allows XSS via HTML tag smuggling on STYLE content with crafted input. The output serializer does not properly encode the supposed Cascading Style Sheets (CSS) content. NOTE: this issue exists because of an incomplete fix for CVE-2022-28367.
22 CVE-2022-29548 79 XSS 2022-04-21 2022-05-02
4.3
None Remote Medium Not required None Partial None
A reflected XSS issue exists in the Management Console of several WSO2 products. This affects API Manager 2.2.0, 2.5.0, 2.6.0, 3.0.0, 3.1.0, 3.2.0, and 4.0.0; API Manager Analytics 2.2.0, 2.5.0, and 2.6.0; API Microgateway 2.2.0; Data Analytics Server 3.2.0; Enterprise Integrator 6.2.0, 6.3.0, 6.4.0, 6.5.0, and 6.6.0; IS as Key Manager 5.5.0, 5.6.0, 5.7.0, 5.9.0, and 5.10.0; Identity Server 5.5.0, 5.6.0, 5.7.0, 5.9.0, 5.10.0, and 5.11.0; Identity Server Analytics 5.5.0 and 5.6.0; and WSO2 Micro Integrator 1.0.0.
23 CVE-2022-29537 125 2022-04-20 2022-05-03
4.3
None Remote Medium Not required None None Partial
gp_rtp_builder_do_hevc in ietf/rtp_pck_mpeg4.c in GPAC 2.0.0 has a heap-based buffer over-read, as demonstrated by MP4Box.
24 CVE-2022-29533 79 XSS 2022-04-20 2022-04-27
4.3
None Remote Medium Not required None Partial None
An issue was discovered in MISP before 2.4.158. There is XSS in app/Controller/OrganisationsController.php in a situation with a "weird single checkbox page."
25 CVE-2022-29505 2022-04-27 2022-05-06
4.4
None Local Medium Not required Partial Partial Partial
Due to build misconfiguration in openssl dependency, LINE for Windows before 7.8 is vulnerable to DLL injection that could lead to privilege escalation.
26 CVE-2022-29498 89 Sql 2022-04-21 2022-04-28
4.3
None Remote Medium Not required None Partial None
Blazer before 2.6.0 allows SQL Injection. In certain circumstances, an attacker could get a user to run a query they would not have normally run.
27 CVE-2022-29474 22 Dir. Trav. 2022-05-05 2022-05-12
4.0
None Remote Low ??? Partial None None
On F5 BIG-IP 16.1.x versions prior to 16.1.2.2, 15.1.x versions prior to 15.1.5.1, 14.1.x versions prior to 14.1.4.6, 13.1.x versions prior to 13.1.5, and all versions of 12.1.x and 11.6.x, a directory traversal vulnerability exists in iControl SOAP that allows an authenticated attacker with at least guest role privileges to read wsdl files in the BIG-IP file system. Note: Software versions which have reached End of Technical Support (EoTS) are not evaluated
28 CVE-2022-29421 79 XSS 2022-05-06 2022-05-16
4.3
None Remote Medium Not required None Partial None
Reflected Cross-Site Scripting (XSS) vulnerability in Adam Skaat's Countdown & Clock plugin on WordPress via &ycd_type vulnerable parameter.
29 CVE-2022-29417 284 2022-04-25 2022-05-03
4.0
None Remote Low ??? None Partial None
Plugin Settings Update vulnerability in ShortPixel's ShortPixel Adaptive Images plugin <= 3.3.1 at WordPress allows an attacker with a low user role like a subscriber or higher to change the plugin settings.
30 CVE-2022-29415 79 XSS 2022-04-28 2022-05-04
4.3
None Remote Medium Not required None Partial None
Unauthenticated Reflected Cross-Site Scripting (XSS) vulnerability in Mati Skiba @ Rav Messer's Ravpage plugin <= 2.16 at WordPress.
31 CVE-2022-29413 352 XSS CSRF 2022-04-28 2022-05-16
4.3
None Remote Medium Not required None Partial None
Cross-Site Request Forgery (CSRF) leading to Stored Cross-Site Scripting (XSS) in Mufeng's Hermit ????? plugin <= 3.1.6 on WordPress via &title parameter.
32 CVE-2022-29287 639 2022-04-16 2022-04-25
4.0
None Remote Low ??? Partial None None
Kentico CMS before 13.0.66 has an Insecure Direct Object Reference vulnerability. It allows an attacker with user management rights (default is Administrator) to export the user options of any user, even ones with higher privileges (like Global Administrators) than the current user. The exported XML contains every option of the exported user (even the hashed password).
33 CVE-2022-29263 732 2022-05-05 2022-05-12
4.6
None Local Low Not required Partial Partial Partial
On F5 BIG-IP APM 16.1.x versions prior to 16.1.2.2, 15.1.x versions prior to 15.1.5.1, 14.1.x versions prior to 14.1.4.6, 13.1.x versions prior to 13.1.5, and all versions of 12.1.x and 11.6.x, as well as F5 BIG-IP APM Clients 7.x versions prior to 7.2.1.5, the BIG-IP Edge Client Component Installer Service does not use best practice while saving temporary files. Note: Software versions which have reached End of Technical Support (EoTS) are not evaluated
34 CVE-2022-29152 79 XSS 2022-04-28 2022-05-06
4.3
None Remote Medium Not required None Partial None
The Ericom PowerTerm WebConnect 6.0 login portal can unsafely write an XSS payload from the AppPortal cookie into the page.
35 CVE-2022-29052 522 2022-04-12 2022-04-20
4.0
None Remote Low ??? Partial None None
Jenkins Google Compute Engine Plugin 4.3.8 and earlier stores private keys unencrypted in cloud agent config.xml files on the Jenkins controller where they can be viewed by users with Extended Read permission, or access to the Jenkins controller file system.
36 CVE-2022-29051 862 2022-04-12 2022-04-20
4.0
None Remote Low ??? None Partial None
Missing permission checks in Jenkins Publish Over FTP Plugin 1.16 and earlier allow attackers with Overall/Read permission to connect to an FTP server using attacker-specified credentials.
37 CVE-2022-29049 20 2022-04-12 2022-04-20
4.0
None Remote Low ??? None Partial None
Jenkins promoted builds Plugin 873.v6149db_d64130 and earlier, except 3.10.1, does not validate the names of promotions defined in Job DSL, allowing attackers with Job/Configure permission to create a promotion with an unsafe name.
38 CVE-2022-29048 352 CSRF 2022-04-12 2022-04-20
4.3
None Remote Medium Not required None Partial None
A cross-site request forgery (CSRF) vulnerability in Jenkins Subversion Plugin 2.15.3 and earlier allows attackers to connect to an attacker-specified URL.
39 CVE-2022-29035 330 2022-04-11 2022-04-15
4.0
None Remote Low ??? Partial None None
In JetBrains Ktor Native before version 2.0.0 random values used for nonce generation weren't using SecureRandom implementations
40 CVE-2022-29020 79 XSS 2022-04-16 2022-04-25
4.3
None Remote Medium Not required None Partial None
ForestBlog through 2022-02-16 allows admin/profile/save userAvatar XSS during addition of a user avatar.
41 CVE-2022-28966 787 Overflow 2022-04-16 2022-04-26
4.3
None Remote Medium Not required None None Partial
Wasm3 0.5.0 has a heap-based buffer overflow in NewCodePage in m3_code.c (called indirectly from Compile_BranchTable in m3_compile.c).
42 CVE-2022-28870 2022-04-15 2022-04-25
4.3
None Remote Medium Not required None Partial None
A vulnerability affecting F-Secure SAFE browser was discovered. A maliciously crafted website could make a phishing attack with address bar spoofing as the address bar was not correct if navigation fails.
43 CVE-2022-28869 2022-04-15 2022-04-26
4.3
None Remote Medium Not required None Partial None
A vulnerability affecting F-Secure SAFE browser was discovered. A maliciously crafted website could make a phishing attack with address bar spoofing as the browser did not show full URL, such as port number.
44 CVE-2022-28868 2022-04-15 2022-04-26
4.3
None Remote Medium Not required None Partial None
An Address bar spoofing vulnerability was discovered in Safe Browser for Android. When user clicks on a specially crafted malicious webpage/URL, user may be tricked for a short period of time (until the page loads) to think content may be coming from a valid domain, while the content comes from the attacker controlled site.
45 CVE-2022-28859 532 2022-05-05 2022-05-13
4.0
None Remote Low ??? Partial None None
On F5 BIG-IP 15.1.x versions prior to 15.1.5.1 and 14.1.x versions prior to 14.1.4.6, when installing Net HSM, the scripts (nethsm-safenet-install.sh and nethsm-thales-install.sh) expose the Net HSM partition password. Note: Software versions which have reached End of Technical Support (EoTS) are not evaluated
46 CVE-2022-28820 79 XSS 2022-04-21 2022-05-03
4.3
None Remote Medium Not required None Partial None
ACS Commons version 5.1.x (and earlier) suffers from a Reflected Cross-site Scripting (XSS) vulnerability in /apps/acs-commons/content/page-compare.html endpoint via the a and b GET parameters. User input submitted via these parameters is not validated or sanitised. An attacker must provide a link to someone with access to AEM Author, and could potentially exploit this vulnerability to inject malicious JavaScript content into vulnerable form fields and execute it within the context of the victim's browser. The exploitation of this issue requires user interaction in order to be successful.
47 CVE-2022-28795 2022-04-12 2022-04-20
4.3
None Remote Medium Not required Partial None None
A vulnerability within the Avira Password Manager Browser Extensions provided a potential loophole where, if a user visited a page crafted by an attacker, the discovered vulnerability could trigger the Password Manager Extension to fill in the password field automatically. An attacker could then access this information via JavaScript. The issue was fixed with the browser extensions version 2.18.5 for Chrome, MS Edge, Opera, Firefox, and Safari.
48 CVE-2022-28792 427 Exec Code 2022-05-03 2022-05-11
4.4
None Local Medium Not required Partial Partial Partial
DLL hijacking vulnerability in Gear IconX PC Manager prior to version 2.1.220405.51 allows attacker to execute arbitrary code. The patch adds proper absolute path to prevent dll hijacking.
49 CVE-2022-28779 427 Exec Code 2022-04-11 2022-04-19
4.6
None Local Low Not required Partial Partial Partial
Uncontrolled search path element vulnerability in Samsung Android USB Driver windows installer program prior to version 1.7.50 allows attacker to execute arbitrary code.
50 CVE-2022-28776 863 2022-04-11 2022-04-19
4.6
None Local Low Not required Partial Partial Partial
Improper access control vulnerability in Galaxy Store prior to version 4.5.36.4 allows attacker to install applications from Galaxy Store without user interactions.
Total number of vulnerabilities : 41830   Page : 1 (This Page)2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.